// 上传请求
import { otherHttp } from '/@/utils/http/axios'

enum Api {
    farmMachineList = '/farmMachine/machineWork/app/list', // 农机服务列表列表
    farmMachineDetails = '/farmMachine/machineWork/queryById', // 农机服务详情
    farmMachineAddMachine = '/farmMachine/machineWork/app/addMachine', // 发布农机服务
    farmMachineAddFarm = '/farmMachine/machineWork/app/addFarm', // 发布农活服务
    farmMachineEdit = '/farmMachine/machineWork/edit', // 编辑农机服务
    farmMachineRegister = '/farmMachine/machineWork/app/register', // 参与服务

    postMachineryAdd = '/server/machinery/add', // 农机商品管理-添加
    postMachineryQueryById = '/server/machinery/listByEnterpriseId', // 按企业ID查询未删除农机
}
/**
 * @param params 请求参数
 * @description: 按企业ID查询未删除农机
 */
export function postMachineryQueryById(params = {}) {
    return otherHttp.get({
        url: Api.postMachineryQueryById,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: 农机商品管理-添加
 */
export function postMachineryAdd(params = {}) {
    return otherHttp.post({
        url: Api.postMachineryAdd,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 农机服务列表列表
 */
export function farmMachineList(params = {}) {
    return otherHttp.get({
        url: Api.farmMachineList,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: 农机服务详情
 */
export function farmMachineDetails(params = {}) {
    return otherHttp.get({
        url: Api.farmMachineDetails,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: 发布农机服务
 */
export function farmMachineAddMachine(params = {}) {
    return otherHttp.post({
        url: Api.farmMachineAddMachine,
        params,
    })
}
/**
 * @param params 请求参数
 * @description: 发布农活服务
 */
export function farmMachineAddFarm(params = {}) {
    return otherHttp.post({
        url: Api.farmMachineAddFarm,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 编辑农机服务
 */
export function farmMachineEdit(params = {}) {
    return otherHttp.post({
        url: Api.farmMachineEdit,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 参与服务
 */
export function farmMachineRegister(params = {}) {
    return otherHttp.post({
        url: Api.farmMachineRegister,
        params,
    })
}
